# Created by pyp2rpm-3.3.1
%global pypi_name bcrypt

Name:           python-%{pypi_name}
Version:        4.2.1
Release:        %mkrel 1
Summary:        Modern password hashing for your software and your servers
Group:          Development/Python
#crypt_blowfish code is in Public domain and all other code in ASL 2.0
License:        ASL 2.0 and Public Domain and BSD
URL:            https://github.com/pyca/bcrypt/
Source0:        %{pypi_source}
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  cargo-rpm-macros

%description
Modern password hashing for your software and your servers.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Obsoletes:      python3-py-bcrypt < 0.4-24
Provides:       python3-py-bcrypt = %{version}-%{release}

%description -n python3-%{pypi_name}
Modern password hashing for your software and your servers.

%prep
%autosetup -n %{pypi_name}-%{version}
%cargo_prep

rm src/_bcrypt/Cargo.lock

%generate_buildrequires
%pyproject_buildrequires -t
(cd src/_bcrypt
%cargo_generate_buildrequires
)

%build
export RUSTFLAGS='%{build_rustflags}'
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sat Dec 28 2024 wally <wally> 4.2.1-1.mga10
+ Revision: 2130856
- new version 4.2.1

* Sat Mar 09 2024 daviddavid <daviddavid> 4.1.2-4.mga10
+ Revision: 2048834
- obsoletes/provides old python3-py-bcrypt

* Sat Dec 30 2023 wally <wally> 4.1.2-3.mga10
+ Revision: 2024651
- build using system rust pkgs
+ tv <tv>
- Rebuild for armv7hl

* Tue Dec 19 2023 wally <wally> 4.1.2-1.mga10
+ Revision: 2019726
- new version 4.1.2
- use pyproject rpm macros

* Sat Sep 09 2023 papoteur <papoteur> 4.0.1-1.mga10
+ Revision: 1985448
- new 4.0.1

* Wed Sep 07 2022 wally <wally> 4.0.0-2.mga9
+ Revision: 1884833
- use %%build_rustflags to fix 32bit build and tests (-Ccodegen-units=1 seems to be enough, but apply them all)

* Mon Sep 05 2022 wally <wally> 4.0.0-1.mga9
+ Revision: 1884208
- new version 4.0.0 (from neoclust)
- build using vendored Rust crates

* Mon Mar 28 2022 umeabot <umeabot> 3.2.0-3.mga9
+ Revision: 1829523
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 3.2.0-2.mga9
+ Revision: 1774722
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Fri Aug 27 2021 wally <wally> 3.2.0-1.mga9
+ Revision: 1742999
- new version 3.2.0

* Sat Mar 20 2021 neoclust <neoclust> 3.1.7-5.mga9
+ Revision: 1705990
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 3.1.7-4.mga8
+ Revision: 1532704
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 3.1.7-3.mga8
+ Revision: 1442770
+ rebuild (emptylog)

* Sun Sep 15 2019 tv <tv> 3.1.7-2.mga8
+ Revision: 1441178
- rebuild for python-3.8
- drop python2 subpkg

* Thu Aug 29 2019 wally <wally> 3.1.7-1.mga8
+ Revision: 1435110
- new version 3.1.7
- drop python2 tests (no more pytest for python2)

* Sat Feb 02 2019 wally <wally> 3.1.6-1.mga7
+ Revision: 1362542
- new version 3.1.6

* Mon Jan 07 2019 shlomif <shlomif> 3.1.5-2.mga7
+ Revision: 1351148
- Rebuild for python3 3.7

* Sun Dec 23 2018 wally <wally> 3.1.5-1.mga7
+ Revision: 1344564
- new version 3.1.5

* Sun Sep 23 2018 umeabot <umeabot> 3.1.4-2.mga7
+ Revision: 1300445
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 wally <wally> 3.1.4-1.mga7
+ Revision: 1220917
- imported package python-bcrypt

